import { HandleExternalTaskAction, IExternalTaskWorker, IExternalTaskApi } from '@process-engine/external_task_api_contracts';
import { IIdentity } from '@essential-projects/iam_contracts';
export declare class ExternalTaskWorker implements IExternalTaskWorker {
    private readonly _workerId;
    private readonly _lockDuration;
    private readonly _externalTaskApi;
    constructor(externalTaskApi: IExternalTaskApi);
    readonly workerId: string;
    waitForAndHandle<TPayload>(identity: IIdentity, topic: string, maxTasks: number, longpollingTimeout: number, handleAction: HandleExternalTaskAction<TPayload>): Promise<void>;
    private _fetchAndLockExternalTasks<TPayload>(identity, topic, maxTasks, longpollingTimeout);
    private _executeExternalTask<TPayload>(identity, externalTask, handleAction);
    private _extendLocks(identity, externalTasks);
    private _sleep(milliseconds);
}
